import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

tips = sns.load_dataset("tips")

color_palette = {"Male": "r", "Female": "g"}
sns.stripplot(x="size", y='tip', hue="sex",
              palette=color_palette, data=tips)

plt.show()
